%bcond_without check

%global goipath         github.com/facebookincubator/flog
%global commit          d2511d0ce33cbeb5601f3576ebece6e56f53d097

%gometa

%global common_description %{expand:
Flog is a hacked and slashed version of glog that can be used as a drop in
replacement for the latter.

Flog was originally created to facilitate logging from within libraries but
can be used in main programs as well.}

%global golicenses      LICENSE
%global godocs          example CODE_OF_CONDUCT.md CONTRIBUTING.md README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        A Go library for logging

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
